profound-logoProfound CMS
⌘K
Admin
Theme
DocsTutorialBlogPhilosophy
DocsTutorialBlogPhilosophy

Hybrid

Collection of Pages with ComponentsTypes of ComponentsSetup server sent events (SSE) content refetchInstall Profound CMS as a proxyCEL Scripting in Template BuilderProject ScaffoldingMedia Library

Headless

Quick startJSON 与 Claude 代码组件 Zod 拉取

REST API

REST API 概览get连接网站 APIgetGET /routesgetGET /routegetGET /blocksget获取带有 CEL 缓存的区块getGET /blocks/generatedgetGET /componentsgetGET /components/{name}getGET /dataset/{schema_name}get获取内容变更 SSEpatchPATCH /dataset/{schema_name}postPOST /translationpatchPATCH /translationsgetGET /usagepostPOST /csvpatch修补 CSV
All Systems Operational
Powered Byprofound-logo
Theme

修补 CSV

更新调用方所拥有的现有 CSV 源行的字段。

更新调用用户所拥有的现有 csv_sources 行的字段。

认证: Bearer JWT(WorkOS)。更新遵循你的用户范围(sub 声明),因此你只能修改自己的 CSV 来源。

查询参数

参数类型必填说明
iduuid是csv_sources 行 ID。

请求正文

{
  "schema_name": "post",
  "spreadsheet_data": [ { "title": "Row 1" } ],
  "status": "ready"
}
字段类型必填说明
schema_namestring否新的 schema 名称。
spreadsheet_dataarray否替换 raw_data;并将 row_count 设置为数组长度。
statusstring否新的状态。

这三个字段都是可选的,但必须提供 至少一个。

响应

完整的更新行:

{
  "id": "...",
  "user_id": "...",
  "schema_name": "post",
  "file_name": "data.csv",
  "file_url": null,
  "raw_data": [],
  "row_count": 1,
  "status": "ready",
  "error_msg": null,
  "created_at": "2026-06-23T18:34:16Z",
  "updated_at": "2026-06-23T20:36:55Z"
}

示例

curl -X PATCH '{CMS_API_URL}/csv?id=<uuid>' \
  -H 'Authorization: Bearer <workos-jwt>' \
  -H 'Content-Type: application/json' \
  -d '{"status":"ready"}'

错误

  • 400 — 未提供可更新的字段
  • 401 — 缺少 sub 声明或 JWT 无效
  • 404 — 找不到与你的用户匹配的 id 行
  • 500 — 更新失败
Continue Reading
Previous‹POST /csv